Name:		postgresql-plparrot
Version:	0.05
Release:	8%{?dist}
Summary:	A PostgreSQL procedural language for the Parrot virtual machine

Group:		Applications/Databases
License:	Artistic 2.0
URL:		http://pl.parrot.org/
Source0:	http://github.com/downloads/leto/plparrot/plparrot-%{version}.tar.gz
Patch0:		plparrot.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	postgresql-devel
BuildRequires:	parrot-devel
Requires:	postgresql-server >= 9.3, postgresql-server < 9.4
Requires:	postgresql-contrib

%description
PL/Parrot is the Parrot Virtual Machine, embedded into the PostgreSQL
relational database. This means that any Parrot language has the opportunity
to become a PostgreSQL Procedural Language (PL).


%prep
%setup -q -n plparrot-%{version}
%patch0 -p0


%build
# do not build parallel
make headers
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README.md ROADMAP CREDITS html
%{_libdir}/pgsql/plparrot.so
%{_datadir}/pgsql/contrib/plparrot.sql


%changelog
* Fri Sep 20 2013 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-8
- add version for postgresql-server
- rebuild with new parrot

* Fri Sep 20 2013 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-7
- fix build problem by adding 'make headers'

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-5
- rebuild with new parrot

* Thu Jan 31 2013 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-4
- rebuild with new parrot and icu

* Wed Nov 07 2012 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-3
- rebuild with new parrot

* Mon Sep 03 2012 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-2
- rebuild with new parrot

* Mon Aug 06 2012 Gerd Pokorra <gp@zimt.uni-siegen.de> - 0.05-1
- updated to 0.05
- make necessary changes in the patch

* Sat Oct 30 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.04-2
- add that postgresql-server is required

* Fri Oct 22 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.04-1
- update to new upstream, which includes more licensing information

* Fri Oct 22 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.03-4
- changed requires from postgresql to postgresql-contrib

* Tue Oct 19 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.03-3
- correct typo at CFLAGS

* Sun Oct 03 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.03-2
- shorten BuildRequires
- changed group

* Mon Sep 13 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.03-1
- initial .spec file
